
# react-native-accessible-keyboard-tracker-service

## Getting started

`$ npm install react-native-accessible-keyboard-tracker-service --save`

### Mostly automatic installation

`$ react-native link react-native-accessible-keyboard-tracker-service`

### Manual installation


#### iOS

1. In XCode, in the project navigator, right click `Libraries` ➜ `Add Files to [your project's name]`
2. Go to `node_modules` ➜ `react-native-accessible-keyboard-tracker-service` and add `RNKeyboardTracker.xcodeproj`
3. In XCode, in the project navigator, select your project. Add `libRNKeyboardTracker.a` to your project's `Build Phases` ➜ `Link Binary With Libraries`
4. Run your project (`Cmd+R`)<

#### Android

1. Open up `android/app/src/main/java/[...]/MainActivity.java`
  - Add `import com.reactlibrary.RNKeyboardTrackerPackage;` to the imports at the top of the file
  - Add `new RNKeyboardTrackerPackage()` to the list returned by the `getPackages()` method
2. Append the following lines to `android/settings.gradle`:
  	```
  	include ':react-native-accessible-keyboard-tracker-service'
  	project(':react-native-accessible-keyboard-tracker-service').projectDir = new File(rootProject.projectDir, 	'../node_modules/react-native-accessible-keyboard-tracker-service/android')
  	```
3. Insert the following lines inside the dependencies block in `android/app/build.gradle`:
  	```
      compile project(':react-native-accessible-keyboard-tracker-service')
  	```

#### Windows
[Read it! :D](https://github.com/ReactWindows/react-native)

1. In Visual Studio add the `RNKeyboardTracker.sln` in `node_modules/react-native-accessible-keyboard-tracker-service/windows/RNKeyboardTracker.sln` folder to their solution, reference from their app.
2. Open up your `MainPage.cs` app
  - Add `using Keyboard.Tracker.RNKeyboardTracker;` to the usings at the top of the file
  - Add `new RNKeyboardTrackerPackage()` to the `List<IReactPackage>` returned by the `Packages` method


## Usage
```javascript
import RNKeyboardTracker from 'react-native-accessible-keyboard-tracker-service';

// TODO: What to do with the module?
RNKeyboardTracker;
```
  